{% extends 'base.html' %}
{% block head %}

{% endblock %}
{% block content %}

{% with active_nav='admin' %}
    {% include "widgets/navtabs.html" %}
{% endwith %}

<br>

<div class="pure-g">
  <div class="pure-u-1 pure-u-md-2-24"></div>
  <div class="pure-u-1 pure-u-md-20-24">
    <div class="pure-g">
      <div class="pure-u-1 pure-u-md-1-1">
        <div class="h-box">
        <h2>{{title}}</h2>
        <form method=post enctype=multipart/form-data>
          <label for="channel_id">Channel ID:</label>
          <input type="text" size="24" minlength="24" maxlength="24" required name="channel_id">
          &nbsp;&nbsp;&nbsp;&nbsp;
          <input type=submit value=Return>
          <br><br>
          {% if 'Add' in title or 'Update' in title %}
          <label for="delta">Delta:</label>
          <select name=delta>
            <option value={{ddays}}>{{ddays}} OR Select:</option>
            <option value=1>1</option>"
            <option value=2>2</option>"
            <option value=5>5</option>"
            <option value=10>10</option>"
            <option value=15>15</option>
            <option value=30>30</option>
            <option value=45>45</option>
          </select>
          {% endif %}
          {% if 'Update' in title %}
          <hr>
          <label for="archive_type">Archive Type:</label>
          <select name=archive_type>
            <option value={{atype}}>{{atype}} OR Select:</option>
            <option value=none>none</option>"
            <option value=partial>partial</option>"
            <option value=latest>latest</option>"
            <option value=full>full</option>"
          </select>
          &nbsp;&nbsp;&nbsp;&nbsp;
          <label for="deleted">Deleted:</label>
          <select name=deleted>
            <option value="">Select a value:</option>
            <option value=False>False</option>"
            <option value=True>True</option>"
          </select>
          &nbsp;&nbsp;&nbsp;&nbsp;
          <label for="channel_tables">Channel tables:</label>
          <select name=channel_tables>
            <option value="">Select a value:</option>
            <option value=add_partial>add partial</option>"
            <option value=remove_partial>remove partial</option>"
            <option value=add_full>add full</option>"
            <option value=remove_full>remove full</option>"
          </select>
          <br><br>
          <label for="viewcount">View Count:</label>
          <input type="text" name="viewcount">
          &nbsp;&nbsp;&nbsp;&nbsp;
          <label for="subscribercount">Subscriber Count:</label>
          <input type="text" name="subscribercount">
          <br><br>
          <label for="deleteddate">Deleted Date (YYYY-MM-DD):</label>
          <input type="text" name="deleteddate">
          &nbsp;&nbsp;&nbsp;&nbsp;
          {% endif %}
          <br><br>
        </form>
        </div>
      </div>
    </div>
  </div>
</div>

<p></p>
{% endblock %}